SlowPeerReports (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: SlowPeerReports

Package org.apache.hadoop.hdfs.server.protocol

# Class SlowPeerReports

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.SlowPeerReports

@Private @Unstable public final class SlowPeerReports extends Object
A class that allows a DataNode to communicate information about all its peer DataNodes that appear to be slow. The wire representation of this structure is a list of SlowPeerReportProto messages.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SlowPeerReports`
  `EMPTY_REPORT`
  An object representing a SlowPeerReports with no entries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SlowPeerReports`
  `create(Map<String,OutlierMetrics> slowPeers)`
  `boolean`
  `equals(Object o)`
  Return true if the two objects represent the same set slow peer entries.
  `Map<String,OutlierMetrics>`
  `getSlowPeers()`
  `int`
  `hashCode()`
  `boolean`
  `haveSlowPeers()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EMPTY_REPORT

    public static final SlowPeerReports EMPTY_REPORT
    An object representing a SlowPeerReports with no entries. Should be used instead of null or creating new objects when there are no slow peers to report.

- ## Method Details

  - ### create

    public static SlowPeerReports create(@Nullable Map<String,OutlierMetrics> slowPeers)

  - ### getSlowPeers

    public Map<String,OutlierMetrics> getSlowPeers()

  - ### haveSlowPeers

    public boolean haveSlowPeers()

  - ### equals

    public boolean equals(Object o)
    Return true if the two objects represent the same set slow peer entries. Primarily for unit testing convenience.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`